<div style="margin-top: 50px;">
    <h3 style="display: inline; ">Edit</h3>

    <i class="fa fa-star-o fa-2x float-right" (click)="statusfav()"  *ngIf="!dataFromNumbers['isFav']" aria-hidden="true" style="display: inline; "></i>
    <i class="fa fa-star fa-2x float-right text-warning" (click)="statusfav()" *ngIf="dataFromNumbers['isFav']" aria-hidden="true" style="display: inline; "></i>
    <button class="btn btn-primary btn-sm float-right mr-2 pr-2" (click)="delete()">Delete</button>
    
    <form action="" (ngSubmit)="submitForm(formData);formData.reset()" #formData=ngForm>
        <div >
            <table class="table table-borderless">
                <tr>
                    <td style="padding-left: 70px;">
                        <input type="text" name="firstName" [ngModel]="dataFromNumbers['firstName']" placeholder="FirstName" class="form-control form-control-sm" ngModel>
                    </td>
                    <td>
                        <input type="text" name="lastName" [ngModel]="dataFromNumbers['lastName']" placeholder="LastName" class="form-control form-control-sm" ngModel>
                    </td>
                </tr>
                <tr>
                    <td style="padding-left: 70px;">
                        <b>Gender</b>
                    </td>
                    <td>
                        <b>Martial Status</b>
                    </td>
                </tr>
                <tr>
                    <td style="padding-left: 70px;">
                        <input type="radio" name="gender" [ngModel]="dataFromNumbers['gender']" value="male" id="a" ngModel>
                        <label for="a" class="ml-1">Male</label>
                        <input type="radio" name="gender" value="female" [ngModel]="dataFromNumbers['gender']" id="b" class="ml-2" ngModel>
                        <label for="b" class="ml-1">FeMale</label>
                    </td>
                    <td>
                        <input type="radio" value="married" [ngModel]="dataFromNumbers['martialStatus']" name="martialStatus" id="c" ngModel>
                        <label for="c" class="ml-1">Married</label>
                        <input type="radio" value="unmarried" [ngModel]="dataFromNumbers['martialStatus']" name="martialStatus" id="d" ngModel class="ml-2">
                        <label for="d" class="ml-1">UnMarried</label>
                    </td>
                </tr>
                <tr >
                    <td style="padding-left: 70px;">
                        <select name="mobileorphone1" class="form-control form-control-sm" [ngModel]="dataFromNumbers['mobileorphone1']" ngModel>
                            <option value="mobile">Mobile</option>
                            <option value="phone">Phone</option>
                        </select>
                    </td>
                    <td>
                        <input type="tel" name="pnumber1" [ngModel]="dataFromNumbers['pnumber1']" class="form-control form-control-sm" ngModel>
                    </td>
                    <i class="fa fa-plus fa-2x mt-2 text-success" style="cursor: pointer;" (click)="addPhoneNumber()" aria-hidden="true" ></i>
                </tr>

                <tr *ngFor="let number of phoneNumbers;let index=index">
                    <td style="padding-left: 70px;">
                        <select name="mobileorphone2" [ngModel]="dataFromNumbers['mobileorphone2']"  class="form-control form-control-sm" ngModel>
                            <option value="mobile" selected>Mobile</option>
                            <option value="phone">Phone</option>
                        </select>
                    </td>
                    <td>
                        <input type="tel" name="pnumber{{index+2}}"  [(ngModel)]="number.pnumber2" [ngModel]="dataFromNumbers['pnumber2']" class="form-control form-control-sm" ngModel>
                    </td>
                    <i class="fa fa-minus fa-2x mt-2 text-danger" style="cursor: pointer;" (click)="removePhoneNumber(index)" aria-hidden="true"></i>
                </tr>
            </table>
        </div>

        <button type="submit" class="btn btn-primary btn-sm float-right">Update</button>
        <button type="submit" class="btn btn-primary btn-sm float-right mr-2" (click)="cancel()">Cancel</button>
        
    </form>
    <!-- <button class="btn" >
        
    </button>
    <button class="btn" >
        
    </button> -->
    
</div>
